List broadcast recipients
curl --request GET \
--url https://app.kapso.ai/api/v1/whatsapp_broadcasts/{broadcast_id}/recipients \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.kapso.ai/api/v1/whatsapp_broadcasts/{broadcast_id}/recipients"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.kapso.ai/api/v1/whatsapp_broadcasts/{broadcast_id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "8c9d0e1f-2a3b-4c5d-6e7f-8a9b0c1d2e3f",
"phone_number": "14155550123",
"status": "sent",
"sent_at": "2025-07-15T10:05:23Z",
"failed_at": "2023-11-07T05:31:56Z",
"delivered_at": "2025-07-15T10:05:30Z",
"read_at": "2025-07-15T10:12:45Z",
"responded_at": "2025-07-15T10:15:00Z",
"error_message": "Invalid phone number",
"error_details": {
"error_code": "131047",
"error_subcode": "2494055"
},
"template_parameters": [
"Param1",
"Param2"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 20,
"total_pages": 5,
"total_count": 100
}
}{
"error": "Resource not found"
}{
"error": "Resource not found"
}WhatsApp Broadcasts
List broadcast recipients
Get paginated list of recipients with delivery and response status.
GET
/
whatsapp_broadcasts
/
{broadcast_id}
/
recipients
List broadcast recipients
Authorizations
Your project API key
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I

